Bug 109253 - IPv6 support missing
IPv6 support missing
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: redhat-config-bind (Show other bugs)
1
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
:
Depends On:
Blocks: 106421
  Show dependency treegraph
 
Reported: 2003-11-05 23:52 EST by Ulrich Drepper
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version: 4.0.0-36
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-05-27 12:57:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ulrich Drepper 2003-11-05 23:52:59 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6a)
Gecko/20031103 Firebird/0.7+

Description of problem:
IPv6 support is completely missing.  This manivests in multiple ways:

r-c-p complains about lines like

ipsix           IN      AAAA    fe80::207:e9ff:fe9b

Zone descriptions like

zone "\[xfec0000000000000/64].ip6.arpa" IN {
        type master;
        file "fec0.zone";
        allow-update { none; };
};

are not recognized as reverse tables.

Version-Release number of selected component (if applicable):
redhat-config-bind-2.0.1-1

How reproducible:
Always

Steps to Reproduce:
1.Add IPv6 data to bind configuration
2.start r-c-b
3.
    

Actual Results:  unknown ['ipsix', 'IN', 'AAAA', 'fe80::207:e9ff:fe9b']

.ip6.arpa zones not recognized as reverse tables in GUI.

Expected Results:  support IPv6 everywhere IPv6 is supported.

Additional info:
Comment 1 Ulrich Drepper 2004-09-01 03:07:02 EDT
Note that the format I used in my zone files is not to be used
anymore.  The bit string format has been deprecated.  Long live the
nibble format (hopefully).

Anyway, my current config file is not even parsed.  Any proposals on
what data you need to debug this?  I get this message:

# system-config-bind
Traceback (most recent call last):
  File "/usr/sbin/system-config-bind-gui", line 95, in ?
    cfg = ConfNamed.ConfNamed("/etc/named.conf",ROOTDIR)
  File "/usr/share/system-config-bind/ConfNamed.py", line 324, in __init__
    current[-1].setOpt(val[0],join(val[1:],' '))
IndexError: list index out of range


It's not related to the IPv6 zone info but the named.conf file is
quite complex (but works fine).
Comment 2 Jason Vas Dias 2005-06-03 12:46:25 EDT
The latest system-config-bind-4.0.0-16 in FC-3/4 / Rawhide should fix
this problem. It parses the bit-string format, but will always write
the nibble format .
Comment 3 Ulrich Drepper 2006-05-27 12:57:08 EDT
Seems to work OK in FC3+.

Note You need to log in before you can comment on or make changes to this bug.